SpanScorer (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.spans.SpanScorer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.spans
Class SpanScorer

    java.lang.Object
      org.apache.lucene.search.DocIdSetIterator
          org.apache.lucene.search.Scorer
              org.apache.lucene.search.spans.SpanScorer

Direct Known Subclasses:
  PayloadNearQuery.PayloadNearSpanScorer, PayloadTermQuery.PayloadTermWeight.PayloadTermSpanScorer

    public class SpanScorer

extends Scorer

Public for extension only.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.Scorer
`Scorer.ScorerVisitor<P extends Query,C extends Query,S extends Scorer>`

Field Summary
`protected int` | `doc`
`protected float` | `freq`
`protected boolean` | `more`
`protected byte[]` | `norms`
`protected Spans` | `spans`
`protected float` | `value`

Fields inherited from class org.apache.lucene.search.Scorer
`weight`

Fields inherited from class org.apache.lucene.search.DocIdSetIterator
`NO_MORE_DOCS`

Constructor Summary
`protected` | `SpanScorer(Spans spans, Weight weight, Similarity similarity, byte[] norms)`

Method Summary
`int` | `advance(int target)` Advances to the first beyond (see NOTE below) the current whose document number is greater than or equal to target.
`int` | `docID()` Returns the following: -1 or `DocIdSetIterator.NO_MORE_DOCS` if `DocIdSetIterator.nextDoc()` or `DocIdSetIterator.advance(int)` were not called yet.
`protected Explanation` | `explain(int doc)` This method is no longer an official member of `Scorer`, but it is needed by SpanWeight to build an explanation.
`float` | `freq()` Returns number of matches for the current document.
`int` | `nextDoc()` Advances to the next document in the set and returns the doc it is currently on, or `DocIdSetIterator.NO_MORE_DOCS` if there are no more docs in the set. NOTE: after the iterator has exhausted you should not call this method, as it may result in unpredicted behavior.
`float` | `score()` Returns the score of the current document matching the query.
`protected boolean` | `setFreqCurrentDoc()`

Methods inherited from class org.apache.lucene.search.Scorer
`getSimilarity, score, score, visitScorers, visitSubScorers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### spans

    protected Spans spans

### norms

    protected byte[] norms

### value

    protected float value

### more

    protected boolean more

### doc

    protected int doc

### freq

    protected float freq

Constructor Detail

### SpanScorer

    protected SpanScorer(Spans spans,
                         Weight weight,
                         Similarity similarity,
                         byte[] norms)
                  throws IOException

Throws:
  `IOException`

Method Detail

### nextDoc

    public int nextDoc()
                throws IOException

  Description copied from class: `DocIdSetIterator`
  Advances to the next document in the set and returns the doc it is currently on, or `DocIdSetIterator.NO_MORE_DOCS` if there are no more docs in the set.
  NOTE: after the iterator has exhausted you should not call this method, as it may result in unpredicted behavior.

  Specified by:
    `nextDoc` in class `DocIdSetIterator`
  Throws:
    `IOException`

### advance

    public int advance(int target)
                throws IOException

  Description copied from class: `DocIdSetIterator`
  Advances to the first beyond (see NOTE below) the current whose document number is greater than or equal to target. Returns the current document number or `DocIdSetIterator.NO_MORE_DOCS` if there are no more docs in the set.

  Behaves as if written:

       int advance(int target) {
         int doc;
         while ((doc = nextDoc()) < target) {
         }
         return doc;
       }

  Some implementations are considerably more efficient than that.

  NOTE: when `target ≤ current` implementations may opt not to advance beyond their current `DocIdSetIterator.docID()`.

  NOTE: this method may be called with `DocIdSetIterator.NO_MORE_DOCS` for efficiency by some Scorers. If your implementation cannot efficiently determine that it should exhaust, it is recommended that you check for that value in each call to this method.

  NOTE: after the iterator has exhausted you should not call this method, as it may result in unpredicted behavior.

  Specified by:
    `advance` in class `DocIdSetIterator`
  Throws:
    `IOException`

### setFreqCurrentDoc

    protected boolean setFreqCurrentDoc()
                                 throws IOException

  Throws:
    `IOException`

### docID

    public int docID()

  Description copied from class: `DocIdSetIterator`
  Returns the following:
  - -1 or `DocIdSetIterator.NO_MORE_DOCS` if `DocIdSetIterator.nextDoc()` or `DocIdSetIterator.advance(int)` were not called yet.
  - `DocIdSetIterator.NO_MORE_DOCS` if the iterator has exhausted.
  - Otherwise it should return the doc ID it is currently on.

  Specified by:
    `docID` in class `DocIdSetIterator`

### score

    public float score()
                throws IOException

  Description copied from class: `Scorer`
  Returns the score of the current document matching the query. Initially invalid, until `DocIdSetIterator.nextDoc()` or `DocIdSetIterator.advance(int)` is called the first time, or when called from within `Collector.collect(int)`.

  Specified by:
    `score` in class `Scorer`
  Throws:
    `IOException`

### freq

    public float freq()
               throws IOException

  Description copied from class: `Scorer`
  Returns number of matches for the current document. This returns a float (not int) because SloppyPhraseScorer discounts its freq according to how "sloppy" the match was.

  Overrides:
    `freq` in class `Scorer`
  Throws:
    `IOException`

### explain

    protected Explanation explain(int doc)
                           throws IOException

  This method is no longer an official member of `Scorer`, but it is needed by SpanWeight to build an explanation.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD